########################################################################
#   select the mex-compiler binary and options                         #
########################################################################
FC	= /usr/global/bin/mexr2007b
#FC	= /usr/global/bin/mexr14

FFLAGS = -fPIC
#FFLAGS = -v  #let's MEX show you what it uses
#FFLAGS = -n  #let's MEX show you which commands it would run

OFLAGS = -O 
# Note that OFLAGS = -O is the only option all other optimization flags 
# have to go to the mexopts.sh file. This only tell mex to use the 
# OFLAGS given in that file.

########################################################################
#   where do we find the required libraries and files?                 #
########################################################################
MEXOPTS = 
#MEXOPTS = -f ./mexopts.sh 
# use empty MEXOPTS to use the default mexopts.sh in the current working 
# directory, your .matlab directory or the globally installed one if 
# both the others do not exist.

#SYS = _LINUX_X86-32
SYS = _LINUX_X86-64

########################################################################
#   and now specify the tools needed to build the library containing   #
#   the required parts of LAPACK and BLAS from source                  #  
########################################################################
FORTRAN   = g95
OPTS      = -funroll-all-loops -O3 -m64 -fPIC
NOOPT	  = -fPIC

LOADER     = g95
LOADOPTS   = -O -fPIC

ARCHIVER = ar
ARCHIVERFLAGS = cr
RANLIB = ranlib

########################################################################
#  These are the libraries involved in the build                       #
########################################################################
RRQRLIB   = $(HOME)/work/RRQR/rrqr_acm/rrqr$(SYS).a
LAPACKLIB = /LOCAL/saak/lapack-3.1.1/lapack$(SYS).a
BLASLIB   = /LOCAL/saak/lapack-3.1.1/blas$(SYS).a
TMGLIB    = /LOCAL/saak/lapack-3.1.1/tmglib$(SYS).a
